<?php
/**
 * @package     Easysendy
 * @copyright   2014 Easysendy, NP. All rights reserved.
 * @author      Easysendy
 * @link        http://easysendy.com
 * @license     MIT http://opensource.org/licenses/MIT
 */

namespace Easysendy\Api;

/**
 * Assets Context
 */
class Assets extends Api
{

    /**
     * {@inheritdoc}
     */
    protected $endpoint = 'assets';

    /**
     * {@inheritdoc}
     */
    public function create(array $parameters)
    {
        return $this->actionNotSupported('create');
    }

    /**
     * {@inheritdoc}
     */
    public function edit($id, array $parameters, $createIfNotExists = false)
    {
        return $this->actionNotSupported('edit');
    }

    /**
     * {@inheritdoc}
     */
    public function delete($id)
    {
        return $this->actionNotSupported('delete');
    }
}
